summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author dsomero2012-09-25 00:58:31 +0200
committer dsomero2012-09-25 06:12:42 +0200
commit820c53b266e1c7f48590440501820a99720f9aa7 (patch)
treeb04963a2f51b1320e729d857f75e7863c40101d4 /perl
parentb49c32a42d5f85d7a16278aff4d82605e1265472 (diff)
downloadslackbuilds-820c53b266e1c7f48590440501820a99720f9aa7.tar.gz
perl/locale-gettext: Patched a bug in gettext.pm
https://bugzilla.novell.com/show_bug.cgi?id=353715 Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/locale-gettext/locale-gettext.SlackBuild34
-rw-r--r--perl/locale-gettext/posix.patch11
2 files changed, 29 insertions, 16 deletions
diff --git a/perl/locale-gettext/locale-gettext.SlackBuild b/perl/locale-gettext/locale-gettext.SlackBuild
index d955edea0e..5ba45291dd 100644
--- a/perl/locale-gettext/locale-gettext.SlackBuild
+++ b/perl/locale-gettext/locale-gettext.SlackBuild
@@ -24,15 +24,13 @@
PRGNAM=locale-gettext
VERSION=${VERSION:-1.05}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -51,23 +49,27 @@ cd gettext-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-perl Makefile.PL PREFIX=/usr || exit 1
-make || exit 1
-make pure_vendor_install DESTDIR=$PKG || exit 1
+#https://bugzilla.novell.com/show_bug.cgi?id=353715
+patch -p0 -i $CWD/posix.patch
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
-mv $PKG/usr/share/man $PKG/usr/man
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-rm -rf $PKG/usr/share
- # Remove 'special' files
- find $PKG -name perllocal.pod \
- -o -name "\.packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/perl/locale-gettext/posix.patch b/perl/locale-gettext/posix.patch
new file mode 100644
index 0000000000..2a1326315a
--- /dev/null
+++ b/perl/locale-gettext/posix.patch
@@ -0,0 +1,11 @@
+# https://bugzilla.novell.com/show_bug.cgi?id=353715
+--- gettext.pm
++++ gettext.pm
+@@ -32,6 +32,7 @@
+ =cut
+
+ use Carp;
++use POSIX;
+
+ require Exporter;
+ require DynaLoader; \ No newline at end of file